
package org.apache.fop.fo.properties;

import java.util.Hashtable;
import java.util.Enumeration;
import org.apache.fop.svg.*;

public class ExtensionPropertyMapping {

  private static Hashtable s_htGeneric = new Hashtable(200);
  private static Hashtable s_htElementLists = new Hashtable(10);
  
  static {
    // Generate the generic mapping
    s_htGeneric.put("external-destination", ExternalDestinationMaker.maker("external-destination"));
    s_htGeneric.put("internal-destination", InternalDestinationMaker.maker("internal-destination"));

  }


  public static Hashtable getGenericMappings() {
    return s_htGeneric;
  }

  public static Enumeration getElementMappings() {
    return s_htElementLists.keys();
  }

  public static Hashtable getElementMapping(String elemName) {
    return (Hashtable)s_htElementLists.get(elemName);
  }
}
